Unusual Whales UnusualWhales API

Spot GEX exposures by strike & expiry

GET https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures/expiry-strike

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Query Parameters

expirations[] Expiry dates required

An array of 1 or more expiry dates.

Example: 2024-02-022024-01-26
date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18
limit Default 500 Max 500 Min 1 optional

How many items to return. Default: 500. Max: 500. Min: 1.

Example: 10 Default: 500
>= 1 <= 500
page Page optional

Page number (use with limit). Starts on page 0.

Example: 1
min_strike Min Strike optional

The minimum strike. Min: 0.

Example: 120.5
>= 0
max_strike Max Strike optional

The maximum strike. Min: 0.

Example: 1200
>= 0
min_dte Min DTE optional

The minimum days to expiry. Min: 0.

Example: 1
>= 0
max_dte Max DTE optional

The maximum days to expiry. Min: 0.

Example: 3
>= 0

Responses

200 422 500

Response Body 200 OK

call_charm_ask Spot Call Charm Ask Side Exposure

The call charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: 102382359.5786
call_charm_bid Spot Call Charm Bid Side Exposure

The call charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: 102382359.5786
call_charm_oi Spot Call Charm Exposure

The sum of the spot charm exposure values of all call transactions at a given strike.

Example: 102382359.5786
call_charm_vol Spot Call Charm Exposure

The sum of the spot charm exposure values of all call transactions at a given strike.

Example: 102382359.5786
call_delta_ask Spot Call Delta Ask Side Exposure

The call delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: 227549667.4651
call_delta_bid Spot Call Delta Bid Side Exposure

The call delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: 227549667.4651
call_delta_oi Spot Call Delta Exposure

The sum of the spot delta exposure values of all call transactions at a given strike.

Example: 227549667.4651
call_delta_vol Spot Call Delta Exposure

The sum of the spot delta exposure values of all call transactions at a given strike.

Example: 227549667.4651
call_gamma_ask Spot Call Gamma Ask Side Exposure

The call gamma exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: -102382359.5786
call_gamma_bid Spot Call Gamma Bid Side Exposure

The call gamma exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: 102382359.5786
call_gamma_oi Spot Call Gamma Exposure

The sum of the spot gamma exposure values of all call transactions at a given strike.

Example: 9356683.4241
call_gamma_vol Spot Call Gamma Exposure

The sum of the spot gamma exposure values of all call transactions at a given strike.

Example: 9356683.4241
call_vanna_ask Spot Call Vanna Ask Side Exposure

The call vanna exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: 152099632406.9564
call_vanna_bid Spot Call Vanna Bid Side Exposure

The call vanna exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: 102382359.5786
call_vanna_oi Spot Call Vanna Exposure

The sum of the spot vanna exposure values of all call transactions at a given strike.

Example: 152099632406.9564
call_vanna_vol Spot Call Vanna Exposure

The sum of the spot vanna exposure values of all call transactions at a given strike.

Example: 152099632406.9564
price Gex Underlying Price

The underlying price used in calculations. NOTE: For any index ticker this will be the current ATM strike.

Example: 4650
put_charm_ask Spot Put Charm Ask Side Exposure

The put charm exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: 102382359.5786
put_charm_bid Spot Put Charm Bid Side Exposure

The put charm exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: 102382359.5786
put_charm_oi Spot Put Charm Exposure

The sum of the spot charm exposure values of all put transactions at a given strike.

Example: 102382359.5786
put_charm_vol Spot Put Charm Exposure

The sum of the spot charm exposure values of all put transactions at a given strike.

Example: 102382359.5786
put_delta_ask Spot Put Delta Ask Side Exposure

The put delta exposure when Market Makers are selling contracts when a transactions is closer to the ask side.

Example: -191893077.7193
put_delta_bid Spot Put Delta Bid Side Exposure

The put delta exposure when Market Makers are buying contracts when a transactions is closer to the bid side.

Example: -191893077.7193
put_delta_oi Spot Put Delta Exposure

The sum of the spot delta exposure values of all put transactions at a given strike.

Example: -191893077.7193
put_delta_vol Spot Put Delta Exposure

The sum of the spot delta exposure values of all put transactions at a given strike.

Example: -191893077.7193

... and 10 more fields

Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/spot-exposures/expiry-strike?expirations[]=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "call_gamma_vol": "5124108502049.17",
      "put_vanna_oi": "12921519098.30",
      "call_charm_bid": "5820636.43",
      "call_vanna_oi": "65476967081.41",
      "call_charm_vol": "70827151575067.12",
      "put_vanna_vol": "12921519098.30",
      "call_vanna_ask": "22692351.20",
      "call_vanna_bid": "234235.52",
      "call_vanna_vol": "65476967081.41",
      "call_delta_bid": "30499234235.52",
      "call_delta_oi": "227549667.4651",
      "put_vanna_bid": "26934630.34",
      "call_gamma_bid": "30499234235.52",
      "call_delta_ask": "23452351.20",
      "time": "2023-12-13T05:00:41.481000Z",
      "put_gamma_ask": "9528523023.39",
      "put_charm_ask": "96836366.22",
      "put_delta_bid": "9342852354.34",
      "call_gamma_ask": "23452351.20",
      "price": "4650",
      "put_delta_ask": "9528523023.39",
      "call_gamma_oi": "5124108502049.17",
      "put_gamma_vol": "320909908341.10",
      "put_charm_bid": "6100352354.34",
      "put_delta_oi": "-191893077.7193",
      "put_charm_oi": "2282895170748.09",
      "put_gamma_bid": "9342852354.34",
      "put_charm_vol": "2282895170748.09",
      "put_vanna_ask": "495803.39",
      "call_delta_vol": "227549667.4651",
      "put_gamma_oi": "320909908341.10",
      "put_delta_vol": "-191893077.7193",
      "call_charm_oi": "70827151575067.12",
      "call_charm_ask": "2582359253.61"
    }
  ]
}